import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const biddingPlan: AppRouteModule = {
  path: '/biddingPlan',
  name: 'biddingPlan',
  component: LAYOUT,
  redirect: '/biddingPlan/index',
  meta: {
    hideChildrenInMenu: false,
    icon: 'mingcute:aiming-2-line',
    orderNo: 2,
    auth: '/www/dist/index.html#/biddingPlan/index',
    title: '招标管理',
  },
  children: [
    {
      path: 'index',
      name: 'plan',
      component: () => import('@/views/biddingPlan/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '招标计划',
        orderNo: 2,
      },
    },
    {
      path: 'situation',
      name: 'situation',
      component: () => import('@/views/biddingManagement/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '招标管理',
        orderNo: 3,
      },
    },
    {
      path: 'statisticsBidding',
      name: 'statisticsBidding',
      component: () => import('@/views/biddingManagement/statisticsBidding.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '招标管理统计',
        orderNo: 3,
      },
    },
    {
      path: 'situationEdit',
      name: 'situationEdit',
      component: () => import('@/views/biddingManagement/biddingManagementEdit.vue'),
      meta: {
        hideTab: true,
        hideMenu: true,
        hideBreadcrumb: true,
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '招标情况',
        orderNo: 3,
      },
    },
    {
      path: 'edit',
      name: 'planEdit',
      component: () => import('@/views/biddingPlan/biddingPlanEdit.vue'),
      meta: {
        hideTab: true,
        hideMenu: true,
        hideBreadcrumb: true,
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '招标计划',
        orderNo: 2,
      },
    },
    {
      path: 'biddingPlanData',
      name: 'planData',
      component: () => import('@/views/biddingPlan/biddingPlanData.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '招标计划统计',
        orderNo: 2,
      },
    },
  ],
};

export default biddingPlan;
